<template>
  <div>
    <div id="lineChart"></div>
  </div>
</template>

<script>
export default {
  props: ["data", "ecoName", "si", "ci"],
  data() {
    return {
      title: "",
      ecoNameFin: "",
      yearStart: "",
      yearEnd: "",
    };
  },
  methods: {
    regenChart() {
      this.ecoNameFin = this.ecoName;
      if (this.ecoNameFin == "Asia-Pacific") {
        this.title = `How has ${this.ecoNameFin}'s integration changed over the years?<br> Conventional and sustainable integration (${this.yearStart}-${this.yearEnd})`;
      } else {
        this.title = `How has ${this.ecoNameFin}'s integration  with Asia-Pacific changed over the years?<br> Conventional and sustainable integration (${this.yearStart}-${this.yearEnd})`;
      }
      let _this = this;
      Highcharts.chart("lineChart", {
        chart: {
          height: 750,
        },
        title: {
          text: _this.title,
        },

        yAxis: {
          title: {
            text: "Integration index",
          },
        },

        xAxis: {
          accessibility: {
            rangeDescription:
              "Range: " + _this.yearStart + "to" + _this.yearEnd,
          },
        },

        plotOptions: {
          series: {
            dataLabels: {
              enabled: true,
            },
            label: {
              connectorAllowed: false,
            },
            pointStart: _this.yearStart,
          },
        },
        credits: {
          enabled: false,
        },

        exporting: {
          buttons: {
            contextButton: {
              menuItems: [
                "viewFullscreen",
                "printChart",
                "separator",
                "downloadPNG",
                "downloadJPEG",
                "downloadPDF",
                "downloadSVG",
                "separator",
                "downloadCSV",
                "downloadXLS",
                //"viewData",
              ],
            },
          },
        },
        series: [
          {
            name: "Sustainable integration",
            data: _this.si,
            color: "#C55A0F",
          },
          {
            name: "Conventional  integration",
            data: _this.ci,
            color: "#113F5A",
          },
        ],
      });
    },
  },
  mounted() {
    this.regenChart();
    this.yearStart = this.getStartYear();
    this.yearEnd = this.getEndYear();
  },
  watch: {
    si: function (newData, oldData) {
      this.regenChart();
    },
    ci: function (newData, oldData) {
      this.regenChart();
    },
  },
};
</script>

<style lang="scss" scoped></style>
